## texinfo 4.11.dfsg.1-4

=== debian/changelog ===
texinfo (4.11.dfsg.1-4) unstable; urgency=low

  * Maemo port

 -- Colin Leroy <colin@colino.net>  Sat, 20 Dec 2008 15:30:36 +0100

texinfo (4.11.dfsg.1-3) unstable; urgency=low

  * do not trigger regeneration of texi2dvi.1 at build time, remove the
    B-D on help2man (Closes: #452582)
  * really fix the erronous direntries (Closes: #451268)
  * bump standards version to 3.7.3, no changes needed

 -- Norbert Preining <preining@debian.org>  Thu, 20 Dec 2007 07:42:31 +0100

texinfo (4.11.dfsg.1-2) unstable; urgency=low

  * edit the changelog entry from 4.11.dfsg.1-1 to close the bugs in a
    more explicit way
  * fix erronous direntries (Closes: #451268)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Nov 2007 18:52:13 +0100

texinfo (4.11.dfsg.1-1) unstable; urgency=low

  * new upstream release (Closes: #435558)
    - fixes race condition causing crashes when resizing (Closes: #345739)
    - generates valid xml files (Closes: #335016)
    - do not truncate command key listing (Closes: #376280)
    - allow ~ in the file path (Closes: #439877)
    - ships new texinfo.tex (Closes: #446443)
  * Recommend installing texlive instead of tetex-bin in texi2dvi
    (Closes: #440796)
  * switch to quilt
  * disable the following patches:
    - 30_texindex_racecondition: does not appply
    - 31_segfault-when-resizing-terminal: upstream
    - 32_makinfo_css_fix: upstream
    - 33_texindex_CVE-2006-4810: upstream
    - 52_missing_dir_in_texinputs: does not apply
    - 61_man_Top: upstream
    - 62_localesettings: upstream
    refresh the other patches
  * add build-dep on help2man
  * suggest texinfo-doc-nonfree (Closes: #428339)
  * add Vcs-Svn and Vcs-Browser field in debian/control

 -- Norbert Preining <preining@debian.org>  Mon, 05 Nov 2007 13:42:18 +0100

texinfo (4.8.dfsg.1-6) unstable; urgency=low

  * add texlive-latex-base to the suggests (lcircle font)
  * add a remark in README.Debian that for building dvi/pdf you need the
    packages suggested by texinfo (Closes: #421192)
  * remove po/*.gmo in the clean target to fix double build FTBFS
    (Closes: #424218)
  * change maintainer to Debian TeX maintainers, put me in uploaders

 -- Norbert Preining <preining@debian.org>  Thu, 17 May 2007 22:16:10 +0200

texinfo (4.8.dfsg.1-5) unstable; urgency=low

  * adjust suggests to include texlive-generic-recommended and remove
    tetex (Closes: #422518)
  * lintian fixes:
    - move dh compat setting from rules to debian/compat
    - save control file in UTF8

 -- Norbert Preining <preining@debian.org>  Tue, 15 May 2007 15:00:37 +0200

texinfo (4.8.dfsg.1-4) unstable; urgency=high

  * Apply patch by Josh Bressers <bressers@redhat.com> to fix
    CVE-2006-4810, added as 33_texindex_CVE-2006-4810.dpatch
  * Add myself to Uploaders so this doesn't look like an NMU.  

 -- Frank Küster <frank@debian.org>  Wed, 22 Nov 2006 12:04:54 +0100

texinfo (4.8.dfsg.1-3) unstable; urgency=medium

  * changed maintainer email address to preining@debian.org
  * add a patch from Werner Koch to fix copying of @import in
    makeinfo/html.c (Closes: #388396)
  * fix installation if tetex is not configured by adding another test
    for the existence of fmtutil.cnf (Closes: #391421)
    Setting urgency to medium as this RC bug present in testing.

 -- Norbert Preining <preining@debian.org>  Sun,  8 Oct 2006 12:14:27 +0200

texinfo (4.8.dfsg.1-2) unstable; urgency=medium

  * standards version 3.7.2, no changes necessary
  * fix a missing translation/locale fix (thanks Sven Joachim)
    (Closes: #367243)
  * extend wording of the copyright file to clear the differences between
    info --version (and man page) and the actual copyright. Add a note that
    the file COPYING mentioned contains GPLv2. (Closes: #380128)
    (urgency set to medium as this is an RC bug present in testing)

 -- Norbert Preining <preining@logic.at>  Thu, 10 Aug 2006 11:16:29 +0200

texinfo (4.8.dfsg.1-1) unstable; urgency=low

  * first version with split out GFDL licensed documentation into
    texinfo-doc-nonfree (Closes: #356916)
  * switch to debhelper level 5
  * add a README.Debian file explaining where the documentation has gone.

 -- Norbert Preining <preining@logic.at>  Wed, 12 Apr 2006 02:33:30 +0200

texinfo (4.8-8) unstable; urgency=low

  * Include texinfo.tex version 2006-02-13.16 in order to fix the FTBFS of
    tramps where ifclear couldn't nest properly (Closes: #357009)
  * Update the locale settings patch so that month names are not
    translated (Closes: #113988)

 -- Norbert Preining <preining@logic.at>  Thu, 23 Mar 2006 18:31:49 +0100

texinfo (4.8-7) unstable; urgency=low

  * include a patch that ensures that locale settings do not influence
    output files (Closes: #113988). Also add a NEWS.Debian in the texinfo
    package that explains the change of functionality in makeinfo.
  * adjust the texinfo.postinst script to really check whether tex-common
    is configured by checking for /e/texmf/texmf.cnf (Closes: #356476).
  * remove texmf-texlive from the arguments of mktexlsr in the postinst script
    of texinfo.

 -- Norbert Preining <preining@logic.at>  Tue, 14 Mar 2006 10:22:24 +0100

texinfo (4.8-6) unstable; urgency=low

  * edit the changelog entry for -5 on the texinfo.tex inclusion to be
    useful, thanks Frank Küster for mentioning this.
  * Conflict with tetex << 3 which has a kpsewhich with different
    cmd-line options. (Closes: #354351)
  * add a check for the existence of fmt.d/00tex.cnf to the texinfo.postinst
    as update-fmtutil may already be present, but not this file, as we
    do not depend on tex-common anymore and tex-common may be configured
    later than texinfo.
  * fix the dreadful info shows top manpage when called with an inexistent
    command line argument (Closes: #234848)

 -- Norbert Preining <preining@logic.at>  Wed,  1 Mar 2006 03:07:29 +0100

texinfo (4.8-5) unstable; urgency=low

  * Fix segfault when resizing the terminal rapidly by checking more

