=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 5), quilt, libncurses5-dev | libncurses-dev, gettext
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/texinfo/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/texinfo/trunk/

Package: texinfo
Section: text
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}
Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
Conflicts: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices. 
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: info
Section: doc
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Provides: info-browser
Conflicts: xemacs-support
Suggests: texinfo-doc-nonfree
Replaces: texinfo (<< 4.7-2)
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.
