## texinfo 5.1.dfsg.1

=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git

Package: texinfo
Section: text
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl
Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
Multi-Arch: foreign
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices. 
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: info
Section: doc
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
Provides: info-browser
Suggests: texinfo-doc-nonfree
Replaces: texinfo (<< 4.7-2)
Multi-Arch: foreign
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

Package: install-info
Section: doc
Priority: important
Architecture: any
Pre-Depends: dpkg (>= 1.16.1)
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Breaks: texinfo (<< 4.13a.dfsg.1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Manage installed documentation in info format
 The install-info utility creates the index of all installed documentation
 in info format and makes it available to info readers.
