## texinfo 5.2.0.dfsg.1

=== debian/changelog ===
texinfo (5.2.0.dfsg.1-2) unstable; urgency=low

  * update mime handler for plain text output (Closes: #723711)
  * Use dh_autotools-dev to update config.{sub,guess} for new ports.
    Patch from Ubuntu (Closes: #729863), thanks Matthias Klose
  * Fix missing Ctrl-n key binding in info reader (from upstream)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Nov 2013 22:05:23 +0900

texinfo (5.2.0.dfsg.1-1) unstable; urgency=low

  * install mime handler for info files (thanks to Ryde Kevin) (Closes: #723711)
  * new upstream release
  * adapt patches and remove some upstream included ones

 -- Norbert Preining <preining@debian.org>  Mon, 30 Sep 2013 00:17:11 +0900

texinfo (5.1.dfsg.1-5) unstable; urgency=low

  * do not call mktexlsr without arguments in texinfo.postrm (Closes: #717901)
  * allow for cross compiling, patch thanks to Eleanor Chen (Closes: #719907)
  * fix building with perl 5.18 (from upstream svn) (Closes:  #720866)

 -- Norbert Preining <preining@debian.org>  Thu, 05 Sep 2013 11:13:16 +0900

texinfo (5.1.dfsg.1-4) unstable; urgency=low

  * pre-depend on dpkg >= 1.16.1 (for interest-nowait) (Closes: #709443)
  * temporary fix for @enumerate 10 (Closes: #709673)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 11 Jul 2013 16:39:31 +0900

texinfo (5.1.dfsg.1-3) unstable; urgency=low

  * use interest-noawait for install-info trigger (Closes: #707133)

 -- Norbert Preining <preining@debian.org>  Wed, 08 May 2013 09:02:05 +0900

texinfo (5.1.dfsg.1-2) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 13:45:11 +0900

texinfo (5.1.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 5.1.dfsg.1
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 13 Mar 2013 08:36:02 +0900

texinfo (5.0.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 5.0.dfsg.1
    - fixes info segfault on big terminals (Closes: #700354)
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Sun, 17 Feb 2013 23:00:29 +0900

texinfo (4.13.95.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 4.13.95.dfsg.1

 -- Norbert Preining <preining@debian.org>  Tue, 29 Jan 2013 07:34:56 +0900

texinfo (4.13.94.dfsg.1-1) experimental; urgency=low

  * small fixes to make-orig-tar
  * Imported Upstream version 4.13.94.dfsg.1
  * update patches to new release

 -- Norbert Preining <preining@debian.org>  Sun, 20 Jan 2013 20:25:10 +0900

texinfo (4.13.93.dfsg.1-1) experimental; urgency=low

  * new upstream test release
  * fix displaced cursor on search (Closes: #652204) (texinfo bug #37823)
  * add a script to generate orig tar files
  * update/unfuzzify patches
  * fix wrong control character in some .po files (LP #707931)
  * add help2man to build-dependencies

 -- Norbert Preining <preining@debian.org>  Sun, 06 Jan 2013 12:40:57 +0900

texinfo (4.13.92.dfsg.1-1) experimental; urgency=low

  * new upstream test release
    - fix incomplete redraw in some cases (Closes: #596856)
  * fix Vcs-fields
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 10:41:42 +0900

texinfo (4.13.91.dfsg.1-2) experimental; urgency=low

  * run all checks during build time
  * install txixml2texi into the texinfo package, add libxml-libxml-perl
    to dependency for it

 -- Norbert Preining <preining@debian.org>  Wed, 28 Nov 2012 10:36:09 +0900

texinfo (4.13.91.dfsg.1-1) experimental; urgency=low

  * new upstream releases
    - fixes truncation at TAB chars (LP #394808)
    - regexp isearch works (Closes: #522093)
    - fixing null strings in install-info --help (Closes: #595243)
    - allow makeinfo splitting at chapters (Closes: #228606)
    - regexp searching in info (Closes: #31464) (yeah! 5 digits!)
    - html output contains doctypes (Closes: #214729)
    - proper positioning of book marks in pdfs (Closes: #37515)
    - normal scrolling modes (Closes: #78504)
  * re-enable hardening (Closes: #656659)
  * clean up patches
  * convert to 3.0/quilt format
  * bump compat level to 7

 -- Norbert Preining <preining@debian.org>  Tue, 27 Nov 2012 13:07:56 +0900

texinfo (4.13a.dfsg.1-10) unstable; urgency=low

  * revert hardening - it breaks info (Closes: #669056)

 -- Norbert Preining <preining@debian.org>  Tue, 17 Apr 2012 08:19:26 +0900

texinfo (4.13a.dfsg.1-9) unstable; urgency=low

  [ Norbert Preining ]
  * sign package as multi-arch, to make other packages multi-arch buildable.
    Patch thanks to Wookey (Closes: #666153)
  * bump standards version to 3.9.3, no changes necessary

  [ Hilmar Preuße ]
  * Enabled hardened build flags, thanks to Moritz Mühlenhoff
    (Closes: #656659)
  * Allow texi2dvi to pass the --shell-escape option to TeX
    (already applied to upstream) (Closes: #658983)

 -- Norbert Preining <preining@debian.org>  Fri, 30 Mar 2012 09:01:34 +0900

texinfo (4.13a.dfsg.1-8) unstable; urgency=low

  [ Hilmar Preuße ]
  * Actually apply patch texi2dvi_non-C_locale, really (Closes: #584191)
  * debian/patches/minor-buffer-size-fix: increase stack buffer size
    for sprintf of numeric values (Closes: #639114).

 -- Norbert Preining <preining@debian.org>  Wed, 24 Aug 2011 23:56:17 +0900

texinfo (4.13a.dfsg.1-7) unstable; urgency=low

  * "grep [A-z]" does not work in non-C locale (Closes: #584191)
  * add option -h/--help to update-info-dir, and fix the man page according
    to it. Patch by Jari Aalto <jari.aalto@cante.net> (Closes: #541468)
  * fix lintian errors (missing misc:Depends deps in all packages)
  * remove conflicts on xemacs-support, it does not exist
  * bump standards version to 3.9.2: change conflicts to breaks as we
    are only moving files around (Closes: #611104)
  * info dumps core if # of window rows drops below 6 (Closes: #611151)
  * d/rules: depend build on $(QUILT_STAMPFN) instead of patch, this fixes
    an rare FTBFS caused by the build target having been run twice

