=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: texinfo
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man, autotools-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git
