=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,11 @@
 #export DH_VERBOSE=1
 export DH_OPTIONS
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
 DEB_CFLAGS_MAINT_APPEND=-Wall
 # needed for correct building of new texinfo
 DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 texinfo := $(CURDIR)/debian/texinfo
 ii := $(CURDIR)/debian/install-info
@@ -20,19 +19,13 @@
 
 build-stamp:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
-	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man'
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-	# work around upstream sources needing native curses for tools builds:
-	$(MAKE) -C tools/gnulib/lib
-	$(MAKE) -C tools \
-		TERMLIBS="/lib/$(DEB_BUILD_GNU_TYPE)/libncurses.so.5" \
-		TERMLIBS+="/lib/$(DEB_BUILD_GNU_TYPE)/libtinfo.so.5"
-endif
+	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
+	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	$(MAKE)
 	touch $@
 
@@ -46,6 +39,7 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_autotools-dev_restoreconfig
 	dh_clean install-stamp build-stamp check-stamp \
 		intl/libintl.h config.log
 
@@ -97,9 +91,12 @@
 		doc/refcard/txirefcard*.pdf
 		
 	dh_installmenu
+	dh_installmime
 	dh_installchangelogs ChangeLog
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
 	dh_strip
+endif
 endif
 	dh_compress
 	dh_fixperms
