=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://ftp.gnu.org/gnu/texinfo/texinfo-(.*)\.tar\.gz
