## texinfo 6.0.0.dfsg.1

=== debian/changelog ===
texinfo (6.0.0.dfsg.1-3) unstable; urgency=medium

  * ignore jpg files in update-info-dir (Closes: #790519)
  * include upstream's fix for index sorting
    - add upstream-svn6390-index-deterministic
    - disable texinfo-make-index-deterministic
  * add a dep on tex-common (>= 6) (Closes: #791588)

 -- Norbert Preining <preining@debian.org>  Tue, 07 Jul 2015 07:50:51 +0900

texinfo (6.0.0.dfsg.1-2) unstable; urgency=medium

  * make texinfo indices reproducible (Closes: #790065) (thanks to Chris Lamb)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 23:15:25 +0900

texinfo (6.0.0.dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 6.0.0.dfsg.1
  * unfuzzify for 6.0.0 release

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 00:53:21 +0900

texinfo (5.9.96.dfsg.1-2) unstable; urgency=medium

  * use awk by default, change dep to awk (Closes: #790004, #790019)

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jun 2015 20:27:35 +0900

texinfo (5.9.96.dfsg.1-1) unstable; urgency=medium

  * add dependency on gawk (texindex)
  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 15:31:37 +0900

texinfo (5.9.93.dfsg.1-1) experimental; urgency=medium

  * new testing pre-release 5.9.93.dfsg.1
    - last line is found again (Closes: #785724)
    - broken info-dir-entries are not problematic anymore (Closes: #683204)
    - info (cat page) does not produce waste output (Closes: #732237)
  * refresh/clean patches
  * remove cyrtexinfo format definition file, just give explanations
    in README.cyrtexinfo
  * work around implicit aclocal-1.15 build requirement

 -- Norbert Preining <preining@debian.org>  Sun, 07 Jun 2015 09:24:35 +0900

texinfo (5.2.0.dfsg.1-6) unstable; urgency=medium

  * fix bashism in update-info-dir (Closes: #772338)

 -- Norbert Preining <preining@debian.org>  Sun, 07 Dec 2014 21:13:29 +0900

texinfo (5.2.0.dfsg.1-5) unstable; urgency=medium

  * mention texinfo-doc-nonfree in the info man page (Closes: #752731)
  * fix a typo in update-info-dir (thanks to Bernd Dietzel), switch
    to use sh instead of bash
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:33:17 +0900

texinfo (5.2.0.dfsg.1-4) unstable; urgency=medium

  * drop old install-info script, make install-info the real program
    and ginstall-info a link to it (Closes: #748433, #479070)
  * move texinfo to priority optional (Closes: #538112)

 -- Norbert Preining <preining@debian.org>  Tue, 03 Jun 2014 14:57:01 +0900

texinfo (5.2.0.dfsg.1-3) unstable; urgency=medium

  * fix broken man pages due to missing tex at build time (Closes: #740343)
  * add patch for texi2any.pl pulled from upstream (Closes: #730599)
  * bump standards version to 3.9.5, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 08 May 2014 07:09:44 +0900
