=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man, autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git
 
 Package: texinfo
 Section: text
-Priority: standard
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl, tex-common (>= 6)
 Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
 Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
 Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
