=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,22 @@
 build-stamp:
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	./configure $(shell dpkg-buildflags --export=configure) \
+	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
 	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	# after dh_autotools-dev_updateconfig the man pages would
+	# be rebuild, but we don't have tex installed (and don't want
+	# to add texlive-binaries to build-deps, too big and not used)
+	# so the check we patched in would break the man page generation
+	# see BTS#740343
+	# backup the generated man page texi2dvi.1 and restore it
+	cp man/texi2dvi.1 debian
 	$(MAKE)
+	mv debian/texi2dvi.1 man/
+	touch man/texi2dvi.1
 	touch $@
 
 check-stamp: build-stamp
@@ -59,24 +68,25 @@
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
 	dh_install --list-missing --sourcedir=debian/tmp -X share/info
-	dh_link
 	#
 	# install additional files that are not installed by default
 	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi
 	#
-	# work on debian install-info
-	mv $(ii)/usr/bin/install-info $(ii)/usr/bin/ginstall-info
-	sed -e "s/install-info/g&/g" \
-		< $(ii)/usr/share/man/man1/install-info.1 \
-		> $(ii)/usr/share/man/man1/ginstall-info.1
-	rm -f $(ii)/usr/share/man/man1/install-info.1
-	install -m 0755 debian/install-info.sh $(ii)/usr/bin/install-info
-	install -m 0644 debian/install-info.1 $(ii)/usr/share/man/man1/install-info.1
+	# we ship ginstall-info as link to install-info, it is long enough
+	dh_link
+	dh_link -p install-info \
+		usr/share/man/man1/install-info.1 	\
+		usr/share/man/man1/ginstall-info.1	\
+		usr/bin/install-info 			\
+		usr/bin/ginstall-info
+	#
+	# other scripts to be installed
 	install -m 0755 debian/update-info-dir $(ii)/usr/sbin/update-info-dir
 	mkdir -p $(ii)/usr/share/man/man8
 	install -m 0644 debian/update-info-dir.8 $(ii)/usr/share/man/man8/update-info-dir.8
-	cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
-	echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
+	# we don't do the cyrtexinfo dance anymore
+	#cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
+	#echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
 	touch install-stamp
 
 binary-indep:
