## texinfo 6.1.0.dfsg.1

=== debian/changelog ===
texinfo (6.1.0.dfsg.1-5) unstable; urgency=medium

  * cherrypick upstream svn 7032 to fix case-insensitive info 
    lookups (Closes: #815941)
  * cherrypick upstream svn 7041 to fix single arg macros
    (see #815734 for discussion)

 -- Norbert Preining <preining@debian.org>  Sat, 05 Mar 2016 23:32:21 +0900

texinfo (6.1.0.dfsg.1-4) unstable; urgency=medium

  * cherrypick upstream svn 7031: fix texi2dvi premature exitus

 -- Norbert Preining <preining@debian.org>  Fri, 26 Feb 2016 22:14:44 +0900

texinfo (6.1.0.dfsg.1-3) unstable; urgency=medium

  * cherrypick upstream svn 7022: fix missing output when doing
    info --output - (Closes: #814743)
  * cherrypick upstream svn 7027: remove debug statement
  * bump standards version, no changes necessary
  * adjust git browser address

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 09:23:53 +0900

texinfo (6.1.0.dfsg.1-2) unstable; urgency=medium

  * cherrypick upstream svn 7021 for arg parsing (Closes: #814830)

 -- Norbert Preining <preining@debian.org>  Sat, 20 Feb 2016 10:59:57 +0900

texinfo (6.1.0.dfsg.1-1) unstable; urgency=medium

  * new upstream release:
    . support info files in sub directories (Closes: #792328)
  * update make-orig-tar for new prerelease, fix tar name
  * update and cleanup patches
  * use bundled libintl-perl, as the Debian version breaks Texinfo
  * do not patch out version number from automake calls
  * warn_missing_tex: add remark to the original warning message
  * add libperl-dev to build-deps
  * clean out dependency_libs entry from .la files

 -- Norbert Preining <preining@debian.org>  Mon, 08 Feb 2016 14:42:27 +0900

texinfo (6.0.0.dfsg.1-4) unstable; urgency=medium

  * include upstream patch for follow strategies
  * switch back to default mouse behaviour (Closes: #797872)
  * include upstream patch for case sensitive info (Closes: #808869)

 -- Norbert Preining <preining@debian.org>  Thu, 24 Dec 2015 08:24:42 +0900
