=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,19 @@
 build-arch: build-stamp
 build-indep: build-stamp
 
+# The Debian provided libintl-perl breaks several tests and probably
+# also some of the behaviour. Disable it until these problems are fixed
+# on either side.
+#	  --with-external-libintl-perl=yes \
+
+
 build-stamp:
 	dh_testdir
 	dh_autotools-dev_updateconfig
 	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
-	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
+	  --libexecdir='$${prefix}/lib' \
 	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	# after dh_autotools-dev_updateconfig the man pages would
@@ -36,6 +42,7 @@
 	$(MAKE)
 	mv debian/texi2dvi.1 man/
 	touch man/texi2dvi.1
+	# finished
 	touch $@
 
 check-stamp: build-stamp
@@ -64,10 +71,14 @@
                                     TEXMF=$(tmpdir)/usr/share/texmf
 	find $(tmpdir) -type f -name dir | xargs rm -f
 	#
+	# clean out .la files as they contain references to libperl 
+	# which is not necessary
+	sed -i "/dependency_libs/ s/'.*'/''/" `find $(tmpdir) -name '*.la'`
+	#
 	# epsf.tex is in texlive
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
-	dh_install --list-missing --sourcedir=debian/tmp -X share/info
+	dh_install --fail-missing --sourcedir=debian/tmp -X share/info
 	#
 	# install additional files that are not installed by default
 	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi
