## texinfo 6.3.0.dfsg.1

=== debian/changelog ===
texinfo (6.3.0.dfsg.1-1) unstable; urgency=medium

  * make makeinfo honor S_D_E (patch by Alexis Bienvenüe) (Closes: #826158)
  * new upstream releases
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 11 Sep 2016 07:36:51 +0900

texinfo (6.1.0.dfsg.1-8) unstable; urgency=medium

  * add missing dep on perlapi-* (Closes: #825116)

 -- Norbert Preining <preining@debian.org>  Tue, 24 May 2016 07:39:24 +0900

texinfo (6.1.0.dfsg.1-7) unstable; urgency=medium

  * fix unprotected ~ in second pass (Closes: #822492)
  * demote tl-fonts-recommended to suggests (Closes: #824876)

 -- Norbert Preining <preining@debian.org>  Mon, 23 May 2016 14:58:59 +0900

texinfo (6.1.0.dfsg.1-6) unstable; urgency=medium

  * fix TeX macro expansion in index entries (see bug #815205)
  * recommend texlive-fonts-recommended to reduce chances that
    EC fonts are not installed, which are often needed

 -- Norbert Preining <preining@debian.org>  Wed, 13 Apr 2016 09:21:24 +0900
