=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git
 
@@ -12,8 +12,8 @@
 Section: text
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
-Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
+Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree, texlive-fonts-recommended
 Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
 Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
 Multi-Arch: foreign
