## texinfo 6.4.90.dfsg.1

=== debian/changelog ===
texinfo (6.4.90.dfsg.1-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:13:31 +0000

texinfo (6.4.90.dfsg.1-1) unstable; urgency=medium

  * New upstream version 6.4.90.dfsg.1
    - fix crashes in incremental search (Closes: #867827)
    - fix broken texi2dvi for docs without bibtex (private communication)
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Sat, 15 Jul 2017 21:26:54 +0900

texinfo (6.4.0.dfsg.1-2) unstable; urgency=medium

  * upstream cherry pick: info cannot follow cross-refs in some cases

 -- Norbert Preining <preining@debian.org>  Tue, 04 Jul 2017 12:02:11 +0900

texinfo (6.4.0.dfsg.1-1) unstable; urgency=medium

  * adapt make-orig-tar for new release
  * New upstream version 6.4.0
  * update patches
  * bump standards version to 4.0.0, no changes necessary
  * debhelper compat level 9

 -- Norbert Preining <preining@debian.org>  Sat, 24 Jun 2017 11:32:31 +0900
