## texinfo 6.5.0.dfsg.1

=== debian/changelog ===
texinfo (6.5.0.dfsg.1-4) unstable; urgency=medium

  * fix infinite loop with Perl 5.28, thanks Niko Tyni (Closes: #902771)
  * passing various flags to xs builder (Closes: #902772)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Jul 2018 07:13:49 +0900

texinfo (6.5.0.dfsg.1-3) unstable; urgency=medium

  * add Homepage fields (Closes: #896558)
  * fix building with upcoming Perl 5.28, thanks Niko Tyni for the patch
    (Closes: #898994)

 -- Norbert Preining <preining@debian.org>  Fri, 18 May 2018 23:00:54 +0900

texinfo (6.5.0.dfsg.1-2) unstable; urgency=medium

  * switch vcs to salsa
  * switch from autotool-dev_{update/restore}config to 
    dh_update_autotools_config
  * accept pre-initialized DEB_HOST_GNU_TYPE
  * update texinfo.tex (Closes: #889647)

 -- Norbert Preining <preining@debian.org>  Mon, 05 Feb 2018 23:48:18 +0900

texinfo (6.5.0.dfsg.1-1) unstable; urgency=medium

  * New upstream version 6.5.0.dfsg.1
  * update patches, remove upstream applied ones

 -- Norbert Preining <preining@debian.org>  Wed, 13 Sep 2017 12:44:49 +0900
