=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 9), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
 Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git
+Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
+Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
+Homepage: https://www.gnu.org/software/texinfo/
 
 Package: texinfo
 Section: text
