=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,13 @@
 # needed for correct building of new texinfo
 DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
 
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+include /usr/share/dpkg/buildflags.mk
+export CPPFLAGS CFLAGS LDFLAGS
+export PERL_EXT_CFLAGS := $(CFLAGS)
+export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
+export PERL_EXT_LDFLAGS := $(LDFLAGS)
 
 texinfo := $(CURDIR)/debian/texinfo
 ii := $(CURDIR)/debian/install-info
@@ -25,8 +31,8 @@
 
 build-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
-	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
+	dh_update_autotools_config
+	AWK=awk ./configure \
 	  --with-external-Text-Unidecode=yes \
 	  --prefix=/usr \
 	  --libexecdir='$${prefix}/lib' \
@@ -55,7 +61,6 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_autotools-dev_restoreconfig
 	dh_clean install-stamp build-stamp check-stamp \
 		intl/libintl.h config.log
